#include "stm32g0xx.h"                  // Device header
#include "RTE_Components.h"             // Component selection

#define GPIOAEN (*((volatile unsigned long *)(0x40021034)))	// GPIOA clock enable
#define MODER5 	(*((volatile unsigned long *)(0x50000000)))	// GPIOA OUTPUT
#define ODR5 		(*((volatile unsigned long *)(0x50000014)))		// Output Data Register
	
uint32_t counter = 0;
uint32_t Delay = 0;
		
int main (void){
	
	SystemInit();
  SystemCoreClockUpdate();
	
	// Configure GPIOA Pin 5 to blink green LED LD4												
	GPIOAEN = 1;  									//enable GPIOA clock RCC_IOPENR->GPIOAEN
	MODER5  = MODER5 ^ (2 << 10); 	//configure GPIOA pin 5 (MODER5) OUTPUT

	while(1){
		
		counter++;
		if (counter > 0x0F) counter = 0;
		
		for (Delay = 502000; Delay > 20; Delay = Delay-1);   //Delay 1/2 second.
		
		ODR5 = ODR5 ^ (1 << 5);    //Toggle LED4 green
	}
}

